Dear all,
I have an idea and I'd like to know if you think it is posible to automate it.
I want to set the paremeters of holes choosing them from a combobox, before creating the hole.
The procedure of the automation should be like this.
* Click (or double click) on a combo box and choose the...
I've tried with a newer release (R2021) and there are the 6 constants mentioned in the post https://www.eng-tips.com/viewthread.cfm?qid=506224
It seems it's a matter of release, so D.S. expanded the options of this command.
Now I'll have to evaluate if it is worth to update my Catia release to...
Yes, I did...
It seems this is an unsolved mistery.
How is possible this guy have 6 constants instead the 2 we have?...Hope someday an expert can help us with it.
Until then this is the nearest I could reach
If...
Hi Marc,
I'm afraid that I am not able to use that information with my project.
Do you have any example?
The CAA V5 Visual Basic Help is not so commplete about this issue and I am not an expert with it.
Thank you anyway
Regards
Dear all,
I need your help to find a solution for this issue.
I need to creat a macro that switches between 2 states of the active view mode in my Drawing: Exact View => Raster(with Shaging w/edges, and High Quality) => Exact view again
Here's my current code.
It changes the active view to...
After serching and serching for a solution I finally get it from a similar post in this forum:
https://www.eng-tips.com/viewthread.cfm?qid=419177
Dim Sight0,Sight1,Sight2
Sight0 = -1*( (Up(1))*(Sight(2)) - (Up(2))*(Sight(1)) ) 'WARNING - this has worked in 4 tests, but further...
I don't know how to compute the H direction. Sorry for the ignorance.
As I understood...
I should create a Hvector:
Dim vHVector(2) As Variant
vHVector(0) = ???? how I calculate these components with vSightDirection and vUpDirection?
vHVector(1) = ????
vHVector(2) = ????
.... then...
Hi, I think I am near the solution, but I still don't reach the good result. I'm using VB6:
...
' Get the viewer
Dim oViewer As Viewer
Set oViewer = CATIA.ActiveWindow.ActiveViewer
' Get the viewpoint
Dim oviewpoint As Viewpoint3D
Set oviewpoint = oViewer.Viewpoint3D
' Get the current...
I'm not being able to find the right parameters to fill in this command
oDrawingViewGenerativeBehavior.DefineIsometricView ¿0, 0, 0, 0, 0, 0?
I've already checked viewpoint3D but I'm lost
(I'm not an expert of CATIA Automation)
Any other tip or example?
I tried to record a macro and this is...
Hi, thank you for your reply
I was already able to create a front view, but I don't have any idea to take the correct parameters of position/rotation of the current view to set an isometric in drawing
oDrawingViewGenerativeBehavior.DefineIsometricView ¿0, 0, 0, 0, 0, 0?
Hi all! and Happy New Year!
Can someone help me with a short VB6 code that I need?
The idea is simple:
I need to create an isometric view in catdrawing of the current view of my catPart.
It is like to take a photo of my solid in the same position as it is in a 2D drawing.
I don't know how to...
OK, I've already done with a reaction.
I didn't know the command but I finally got it.
This is the command, it is simple... but this is the problem of the ignorance ;)
Partbody.Name="TEXT"+Parameter
Thank you for the tip
Hello everyone.
I need to change the PartBody name automatically according to specific parameter.
For example, if a change a Diameter to 12mm, the PartBody should be renamed to "Bushing Ø12"
Is it possible to do so without using macros? Maybe a rule? Any suggestion?
Hope you can help me.
Thank...
This is my code to set the filling of the main Body to black:
**************************************************
Set oSelection = CATIA.ActiveDocument.Selection
oSelection.Add oPartDocument.Part.Bodies.Item(1)
Set oVisproperties = oSelection.VisProperties
oVisproperties.SetRealColor 0, 0, 0, 0...
Hello everybody.
I need to change the color of the edges of one body in CatPart.
I was able to change the filling of it to black with: oVisproperties.SetRealColor 0, 0, 0, 0
But now I need to change the edges to white.
I looked for it everyware but I had no luck.
Is it possible?
Thank you in...
Hi guys,
I need your help to solve this issue.
I want to program a VB6 App to make holes automatically in a plate to fix the other components over it.
Do you have any idea or example of a similar code?
I attach an assembly file. You can see the 8 holes that I made one by one. Those should be...